%define name libproxydynlang-ruby
%define version 1.5
%define release 5

# 基本情報
Summary: call from c to ruby language
Summary(ja): c言語から動的言語(ruby)を呼び出す為のライブラリです。
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System Environment/Libraries
Packager: paradox
Distribution: Vine Linux
Vendor: Project Vine
BuildArch: i386

# パケージの作成時に必要となる情報
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}

# 依存情報
Requires: libproxydynlang-devel = 1.5
BuildRequires(build): libproxydynlang-devel = 1.5
BuildRequires(build): ruby

# スクリプト部
%description
This is a from c to ruby language.

%description -l ja
c言語からRubyを呼び出すためのライブラリです。

%prep         # rpmを構築する前の準備です
%{__rm} -rf $RPM_BUILD_ROOT

%setup
#%patch -pl

%build
%{__make} proxyruby

%install
%{__make} install.ruby prefix=${RPM_BUILD_ROOT}%{_libdir} 

%clean
%{__rm} -rf $RPM_BUILD_ROOT

#ファイルリスト部
%files
%defattr(-, root,root)
%{_libdir}/libproxyruby.so

%changelog
* Mon Sep 05 2016 paradox <siranovel@gmail.com> 1.5-5
- 関数の戻り値をハッシュ型対応

* Thu Sep 01 2016 paradox <siranovel@gmail.com> 1.5-4
- 関数の戻り値をint, long, float, double型配列対応

* Sat Aug 27 2016 paradox <siranovel@gmail.com> 1.5-3
- 関数の戻り値を文字列型対応

* Wed Aug 24 2016 paradox <siranovel@gmail.com> 1.5-2
- 関数の戻り値をint, long, float, double型対応

* Thu Aug 18 2016 paradox <siranovel@gmail.com> 1.5-1
- IProxyDynLang.hの変更に伴い修正

* Sat Aug 13 2016 paradox <siranovel@gmail.com> 1.4-1
- 関数の引数に、ハッシュ型を指定できるように修正

* Fri Aug 05 2016 paradox <siranovel@gmail.com> 1.3-2
- 関数の引数に、long,float,double型の配列指定

* Thu Aug 04 2016 paradox <siranovel@gmail.com> 1.3-1
- 変数名の変更に伴い1.2 -> 1.3に変更
-   param -> argv
-   argv  -> param_value

* Sun Jul 31 2016 paradox <siranovel@gmail.com> 1.2-3
- 関数の引数に、long,float,double型を指定できるように修正

* Fri Jul 29 2016 paradox <siranovel@gmail.com> 1.2-2
- 関数の引数に、Integer型を指定できるように修正

* Thu Jul 28 2016 paradox <siranovel@gmail.com> 1.2-1
- 関数の引数に、型を指定できるように修正(STRINGのみ)

* Fri Jul 15 2016 paradox <siranovel@gmail.com> 1.1-2
- クラスに対するメゾットの呼び出しの実装

* Thu Jul 14 2016 paradox <siranovel@gmail.com> 1.1-1
- proxyruby-libs -> libproxydynlang-ruby

* Mon Jul 11 2016 paradox <siranovel@gmail.com> 1.0-1
- first release for version 1.0

